<?php

namespace common\logic\User\CreditHistory\Wrapper;

use common\logic\AbstractManager;
use common\logic\User\CreditHistory\Repository\CreditHistoryRepository;
use common\logic\User\CreditHistory\Service\CreditHistoryBuilder;
use common\logic\User\CreditHistory\Service\CreditHistoryDefinition;
use common\logic\User\CreditHistory\Service\CreditHistorySolver;
use common\logic\User\CreditHistory\Service\CreditService;

/**
 * @mixin CreditHistoryDefinition
 * @mixin CreditHistorySolver
 * @mixin CreditHistoryRepository
 * @mixin CreditHistoryBuilder
 * @mixin CreditService
 */
class CreditHistoryManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return CreditHistoryContainer::class;
    }
}